import java.awt.BorderLayout;

import javax.swing.JApplet;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JSplitPane;
import javax.swing.JTabbedPane;
import javax.swing.SwingConstants;

public class AppletFireFoxTest extends JApplet {

	private static final long serialVersionUID = 1L;
	private JPanel contentPane = null;
	private JLabel northLabel = null;
	private JLabel southLabel = null;
	private JSplitPane jSplitPane = null;
	private JTabbedPane jTabbedPane = null;
	private JPanel panelOne = null;
	private JPanel panelTwo = null;
	private JLabel rightLabel = null;

	public AppletFireFoxTest() {
		super();
	}

	public void init() 
	{
		this.setSize(640, 480);
		this.setContentPane(getPanel());
	}

	private JPanel getPanel() {
		if (contentPane == null) 
		{
			rightLabel = new JLabel();
			rightLabel.setText("Split Pane Right Label");
			rightLabel.setHorizontalAlignment(SwingConstants.CENTER);
			northLabel = new JLabel();
			northLabel.setText("North Label");
			southLabel = new JLabel();
			southLabel.setText("South Label");

			contentPane = new JPanel();
			contentPane.setLayout(new BorderLayout());
			contentPane.add(northLabel, BorderLayout.NORTH);
			contentPane.add(southLabel, BorderLayout.SOUTH);

			panelOne = new JPanel();
			panelTwo = new JPanel();

			jTabbedPane = new JTabbedPane();
			jTabbedPane.addTab("One", panelOne);
			jTabbedPane.addTab("Two", panelTwo);

			jSplitPane = new JSplitPane();
			jSplitPane.setLeftComponent(jTabbedPane);
			jSplitPane.setRightComponent(rightLabel);
			jSplitPane.setDividerLocation(150);
			
			contentPane.add(jSplitPane, BorderLayout.CENTER);
		}
		return contentPane;
	}

}
